# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define base_version 3.3
%define namedversion 3.3.2.GA

Name:           hibernate3
Version:        3.3.2
Release:        1%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
License:        LGPLv2+
URL:            http://www.hibernate.org/
Group:          Database
Source0:        hibernate-3.3.2.GA.tar.gz
# svn export http://anonsvn.jboss.org/repos/hibernate/core/tags/hibernate-3.3.2.GA/
Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Source3:        docbook-1.72.0.jar
Source4:        http://repository.jboss.com/maven2/org/hibernate/hibernate-jdocbook-style/2.0.0/hibernate-jdocbook-style-2.0.0.jdocbook-style
Source5:        http://repository.jboss.com/maven2/org/hibernate/hibernate-jdocbook-style/2.0.0/hibernate-jdocbook-style-2.0.0.pom
Source6:        http://repository.jboss.com/maven2/org/jboss/jbossorg-fonts/1.0.0/jbossorg-fonts-1.0.0.jdocbook-style
Source7:        http://repository.jboss.com/maven2/org/jboss/jbossorg-fonts/1.0.0/jbossorg-fonts-1.0.0.pom
Source8:        hibernate-richfaces-root-3.2.2.SR1.pom
Source9:        hibernate-richfaces-docs-3.2.2.SR1.pom
Source11:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.jar
Source12:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.pom
Source13:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.jar
Source14:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.pom

Patch0:         hibernate3-parent-pom.patch
Patch1:         hibernate3-core-pom.patch
Patch2:         hibernate3-documentation-manual-pom.patch
Patch3:         hibernate3-branch_3_3_jdbc4.patch

BuildRequires:  jpackage-utils >= 0:1.7.3
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-war
BuildRequires:  maven2-default-skin
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-jdocbook-plugin
BuildRequires:  maven-jdocbook-style-plugin
BuildRequires:  maven-release
BuildRequires:  maven-shared-enforcer-rule-api
BuildRequires:  maven-shared-plugin-testing-harness
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-test-ext-plugin
BuildRequires:  mojo-maven2-plugin-antlr
BuildRequires:  mojo-maven2-plugin-taglist
BuildRequires:  jboss-parent
BuildRequires:  jbossorg-jdocbook-style
BuildRequires:  jbossorg-docbook-xslt
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  hsqldb
BuildRequires:  richfaces-manual < 0:3.3
BuildRequires:  javassist >= 0:3.9
BuildRequires:  cglib >= 0:2.2
BuildRequires:  concurrent
BuildRequires:  jakarta-commons-collections >= 0:3.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.4
BuildRequires:  antlr >= 0:2.7.6
## xml/xstl handling
BuildRequires:  dom4j >= 0:1.6.1
BuildRequires:  jaxen >= 0:1.1
## j2ee related
BuildRequires:  jta_1_1_api
BuildRequires:  slf4j
## Treecache
BuildRequires:  jboss-cache >= 0:1.4.1
BuildRequires:  jboss-cache-core >= 0:3.1.0
BuildRequires:  concurrent >= 0:1.3.4
BuildRequires:  jboss4-common
BuildRequires:  jboss-j2se
BuildRequires:  jboss4-server >= 0:4.0.2
BuildRequires:  jboss4-system >= 0:4.0.2
## Replication
BuildRequires:  jgroups >= 0:2.2.8
## cache providers
BuildRequires:  ehcache >= 0:1.2.3
BuildRequires:  oscache >= 0:2.1
BuildRequires:  swarmcache
## connection pool
BuildRequires:  c3p0 >= 0:0.9.1
BuildRequires:  proxool >= 0:0.8.3
BuildRequires:  jacc_1_0_api
BuildRequires:  servlet_2_3_api

Requires:       java >= 0:1.5.0
Requires:       cglib >= 0:2.2
#Optional:      javassist >= 0:3.9
# Always required:
Requires:       jakarta-commons-collections >= 0:3.1
Requires:       jakarta-commons-logging >= 0:1.0.4
Requires:       antlr >= 0:2.7.6
Requires:       dom4j >= 0:1.6.1
# Required if one wants to deserialize a Configuration in order to improve
# startup performance
#Optional:      jaxen >= 0:1.1
Requires:       jta_1_1_api
# Required by replicated caches
#Optional:      jgroups >= 0:2.2.8
# Cache providers (default none)
#Optional:      hibernate_in_process_cache
# hibernate_in_process_cache is one of ehcache, oscache, swarmcache or
# jboss-cache (default none)
#Optional:      ehcache >= 0:1.2.3
#Optional:      oscache >= 0:2.1
#Optional:      swarmcache
# JDBC connection pool
# hibernate_jdbc_cache is for instance c3p0 or proxool
# note that jakarta-commons-dbcp is not supported
#Optional:      hibernate_jdbc_cache
BuildRequires:  docbook-style-xsl
##BuildRequires:  docbook-xsl-saxon
BuildRequires:  saxon
BuildRequires:  xmlgraphics-batik
BuildRequires:  xmlgraphics-fop
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance 
object/relational persistence and query service 
for Java. Hibernate lets you develop persistent 
objects following common Java idiom - including 
association, inheritance, polymorphism, composition 
and the Java collections framework. Extremely 
fine-grained, richly typed object models are 
possible. The Hibernate Query Language, designed 
as a "minimal" object-oriented extension to SQL, 
provides an elegant bridge between the object and 
relational worlds. Hibernate is now the most 
popular ORM solution for Java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
Javadoc for %{name}.

%prep
%setup -q -n hibernate-3.3.2.GA
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3

%build
cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository

mkdir -p $MAVEN_REPO_LOCAL/javax.security/
ln -s %{_jvmdir}/java/jre/lib/rt.jar $MAVEN_REPO_LOCAL/javax.security/jaas.jar

mkdir -p $MAVEN_REPO_LOCAL/net.sf.docbook/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/net.sf.docbook/docbook.jar

mkdir -p $MAVEN_REPO_LOCAL/org.hibernate/
cp %{SOURCE4} $MAVEN_REPO_LOCAL/org.hibernate/hibernate-jdocbook-style.jar

mkdir -p $MAVEN_REPO_LOCAL/org.jboss/
cp %{SOURCE6} $MAVEN_REPO_LOCAL/org.jboss/jbossorg-fonts.jar


mkdir -p $MAVEN_REPO_LOCAL/org.eclipse.wst.sse/
cp %{SOURCE11} $MAVEN_REPO_LOCAL/org.eclipse.wst.sse/core.jar

mkdir -p $MAVEN_REPO_LOCAL/org.eclipse.wst.css/
cp %{SOURCE13} $MAVEN_REPO_LOCAL/org.eclipse.wst.css/core.jar

mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp %{SOURCE5} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.hibernate-hibernate-jdocbook-style.pom
cp %{SOURCE7} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.jboss-jbossorg-fonts.pom
cp %{SOURCE8} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.richfaces-root.pom
cp %{SOURCE9} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.richfaces-docs.pom

#cp %{SOURCE12} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.eclipse.wst.sse-core.pom
#cp %{SOURCE14} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.eclipse.wst.css-core.pom

export MAVEN_OPTS="-Xmx384m"

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Daggregate=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:javadoc site

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 core/target/hibernate-core-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 cache-ehcache/target/hibernate-ehcache-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ehcache-%{version}.jar
install -m 644 cache-jbosscache2/target/hibernate-jbosscache2-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jbosscache2-%{version}.jar
install -m 644 cache-jbosscache/target/hibernate-jbosscache-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jbosscache-%{version}.jar
install -m 644 cache-oscache/target/hibernate-oscache-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/oscache-%{version}.jar
install -m 644 cache-swarmcache/target/hibernate-swarmcache-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/swarmcache-%{version}.jar
install -m 644 connection-c3p0/target/hibernate-c3p0-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/c3p0-%{version}.jar
install -m 644 connection-proxool/target/hibernate-proxool-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/proxool-%{version}.jar
install -m 644 hibernate-maven-plugin/target/hibernate-maven-plugin-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-plugin-%{version}.jar
install -m 644 jmx/target/hibernate-jmx-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-%{version}.jar
install -m 644 testing/target/hibernate-testing-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/testing-%{version}.jar
install -m 644 testsuite/target/hibernate-testsuite-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/testsuite-%{version}.jar
install -m 644 tutorials/eg/target/hibernate-tutorial-eg-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tutorial-eg-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}/core.jar %{name}.jar)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/etc
cp -p etc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/etc
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/tutorial
install -m 644 tutorials/web/target/hibernate-tutorial-web-3.3.2.GA.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/tutorial
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/manual
install -m 644 documentation/manual/target/classes/hibernate-manual-3.3.2.GA.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/manual

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%add_to_maven_depmap org.hibernate hibernate-parent %{namedversion} JPP/%{name} parent
install -m 644 parent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom

%add_to_maven_depmap org.hibernate hibernate %{namedversion} JPP %{name}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

%add_to_maven_depmap org.hibernate hibernate-core %{namedversion} JPP/%{name} core
install -m 644 core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom

%add_to_maven_depmap org.hibernate hibernate-ehcache %{namedversion} JPP/%{name} ehcache
install -m 644 cache-ehcache/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ehcache.pom
%add_to_maven_depmap org.hibernate hibernate-jbosscache2 %{namedversion} JPP/%{name} jbosscache2
install -m 644 cache-jbosscache2/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jbosscache2.pom
%add_to_maven_depmap org.hibernate hibernate-jbosscache %{namedversion} JPP/%{name} jbosscache
install -m 644 cache-jbosscache/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jbosscache.pom
%add_to_maven_depmap org.hibernate hibernate-oscache %{namedversion} JPP/%{name} oscache
install -m 644 cache-oscache/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oscache.pom
%add_to_maven_depmap org.hibernate hibernate-swarmcache %{namedversion} JPP/%{name} swarmcache
install -m 644 cache-swarmcache/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-swarmcache.pom

%add_to_maven_depmap org.hibernate hibernate-c3p0 %{namedversion} JPP/%{name} c3p0
install -m 644 connection-c3p0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-c3p0.pom
%add_to_maven_depmap org.hibernate hibernate-proxool %{namedversion} JPP/%{name} proxool
install -m 644 connection-proxool/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-proxool.pom

%add_to_maven_depmap org.hibernate hibernate-documentation %{namedversion} JPP/%{name} documentation
install -m 644 documentation/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-documentation.pom

%add_to_maven_depmap org.hibernate hibernate-manual %{namedversion} JPP/%{name} manual
install -m 644 documentation/manual/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-manual.pom

%add_to_maven_depmap org.hibernate hibernate-maven-plugin %{namedversion} JPP/%{name} maven-plugin
install -m 644 hibernate-maven-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-plugin.pom

%add_to_maven_depmap org.hibernate hibernate-jmx %{namedversion} JPP/%{name} jmx
install -m 644 jmx/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmx.pom

%add_to_maven_depmap org.hibernate hibernate-testing %{namedversion} JPP/%{name} testing
install -m 644 testing/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testing.pom

%add_to_maven_depmap org.hibernate hibernate-testsuite %{namedversion} JPP/%{name} testsuite
install -m 644 testsuite/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testsuite.pom

%add_to_maven_depmap org.hibernate hibernate-tutorials %{namedversion} JPP/%{name} tutorials
install -m 644 tutorials/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tutorials.pom
%add_to_maven_depmap org.hibernate hibernate-tutorial-eg %{namedversion} JPP/%{name} tutorial-eg
install -m 644 tutorials/eg/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tutorial-eg.pom
%add_to_maven_depmap org.hibernate hibernate-tutorial-web %{namedversion} JPP/%{name} tutorial-web
install -m 644 tutorials/web/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tutorial-web.pom


# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr documentation/manual/target/docbook/publish/en-US/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc lgpl.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}.jar
%{_javadir}/%{name}/*.jar
%{_datadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%changelog
* Mon Aug 17 2009 Ralph Apel <r.apel@r-apel.de> 0:3.3.2-1
- 3.3.2.GA

* Mon Dec 01 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.9
- change jacc to jacc_1_0_api

* Mon Dec 01 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.8
- rediff JDK6 patches

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.7
- fix repolib

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.6
- fix patch name

* Thu Sep 11 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.5
- update docbook support

* Wed Aug 26 2008 Yang Yong <yyang@redhat.com> 0:3.2.4-1.SP1_CP01.4
- add %_with_jdk6 %without_manual for disabling manual on JDK6

* Thu Aug 07 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.3
- fix bootstrap

* Tue Aug 05 2008 David Walluck <dwalluck@redhat.com> 0:3.2.4-1.SP1_CP01.2
- add bootstrap with jboss4 option
- remove javadoc scriptlets
- update License
- update BuildRoot
- fix repolib permissions
- fix %%doc
- fix modification of component-info.xml
- BuildRequires: jacc

* Mon Jun 02 2008 Permaine Cheung <pcheung@redhat.com> - 0:3.2.4-1.SP1_CP01.1
- First JPP5 build

* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.4-1.SP1_CP01.0jpp.ep1.1.1
- Rebuild

* Fri Jul 27 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.4-1.SP1_CP01.0jpp.ep1.1
- Use new format for post-releases
- Rebuild with JDK 1.4

* Fri Jul 13 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.4.1-0jpp.ep1.4
- Rebuild

* Fri Jul 13 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.4.1-0jpp.ep1.3
- Rebuild with Java 5
- Do not show splash as the RHEL-5 ant-swing does not have it

* Wed Jun 27 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.4.1-0jpp.ep1.2
- Make javadocs refer to J2SE 1.5 documentation, not 1.3

* Fri Jun 08 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.4.1-0jpp.ep1.1
- Upgrade to 3.2.4.SP1_CP01

* Thu Jun 07 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.3-0jpp.ep1.3
- Build with repolib

* Thu Jun 07 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.3-0jpp.ep1.2
- Add repolib subpackage

* Wed Jun 06 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.3-0jpp.ep1.1
- Upgrade to 3.2.3

* Mon Jul 10 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.2.0-0.cr2.1jpp_1rh
- Get Java 5 version from upstream

* Wed Jun 21 2006 Ralph Apel <r.apel@r-apel.de> - 0:3.2.0-0.cr2.1jpp
- Upgrade to 3.2

* Mon Jun 05 2006 Ralph Apel <r.apel@r-apel.de> - 0:3.1.3-2jpp
- Build with JDK50 for JPP-5.0

* Fri May 26 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-1jpp_3rh
- Rebuild with jboss-cache standalone package

* Wed May 17 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-1jpp_2rh
- Rebuild with jboss4-cache

* Thu Apr 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.3-1jpp_1rh
- Merge with upstream for upgrade to 3.1.3

* Tue Mar 28 2006 Ralph Apel <r.apel@r-apel.de> - 0:3.1.3-1jpp
- Update to 3.1.3

* Tue Mar 07 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.1-1jpp_4rh
- Require ehcache as it is the default second-level cache configured

* Mon Mar 06 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.1-1jpp_3rh
- Require antlr (thanks to Rafael Schloming)

* Wed Mar 01 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.1-1jpp_2rh
- Rebuild with dependencies built in full

* Wed Feb 22 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.1-1jpp_1rh
- First Red Hat build

* Wed Feb 22 2006 Ralph Apel <r.apel@r-apel.de> - 0:3.1.1-1jpp
- Update to 3.1.1

* Thu Dec 22 2005 Fernando Nasser <fnasser@redhat.com> - 0:3.0.5-2jpp_1rh
- First Red Hat build
  From Rafael H. Schloming <rafaels@redhat.com>:
- Add patch to build without JBoss cache (which needs most of JBoss)

* Thu Dec 22 2005 Fernando Nasser <fnasser@redhat.com> - 0:3.0.5-2jpp
- First JPP 1.7 build

* Fri Aug 05 2005 Ralph Apel <r.apel at r-apel.de> - 0:3.0.5-1jpp
- change name to hibernate3 and upgrade to 3.0.5

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.6-1jpp
- Drop saxpath requirements
- Require jaxen >= 0:1.1
- Upgrade to 2.1.6
- Activate clover task (clover10)

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4-4jpp
- Build with ant-1.6.2
- Drop ant-optional BuildReq
- Relax some versioned dependencies

* Thu Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4-3jpp
- Relax some versioned build dependencies 
- Reduce runtime dependencies
- Require hibernate_in_process_cache and hibernate_jdbc_cache at runtime

* Thu Jun 17 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4-2jpp
- Try avoid symlinking into lib

* Tue Jun 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4-1jpp
- First JPackage release
